'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactGridGallery = require('react-grid-gallery');

var _reactGridGallery2 = _interopRequireDefault(_reactGridGallery);

var _reactBootstrap = require('react-bootstrap');

var _DataContainer = require('./DataContainer');

var _DataContainer2 = _interopRequireDefault(_DataContainer);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AlbumView = function (_React$Component) {
	_inherits(AlbumView, _React$Component);

	function AlbumView() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, AlbumView);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = AlbumView.__proto__ || Object.getPrototypeOf(AlbumView)).call.apply(_ref, [this].concat(args))), _this), _this.onBackClick = function () {
			if (!_this.props.onBack) window.location = '/gallery';else _this.props.onBack();
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(AlbumView, [{
		key: 'render',
		value: function render() {

			return _react2.default.createElement(
				'div',
				null,
				_react2.default.createElement(
					_reactBootstrap.Col,
					{ xs: 12 },
					_react2.default.createElement(
						'h1',
						null,
						this.props.album.title
					),
					_react2.default.createElement(_DataContainer2.default, { action: 'api/v1/GetAlbumPhotos',
						parameters: [{ id: "albumId", value: this.props.album.id }],
						resultRender: function resultRender(data) {

							var images = [];
							for (var i = 0; i < data.length; i++) {
								images.push({
									src: data[i].content.src,
									thumbnail: data[i].content.src,
									thumbnailWidth: parseInt(data[i].width, 10) / 10,
									thumbnailHeight: parseInt(data[i].height, 10) / 10
								});
							}
							return _react2.default.createElement(_reactGridGallery2.default, { images: images });
						} }),
					_react2.default.createElement(
						_reactBootstrap.Button,
						{ bsStyle: 'primary', bsSize: 'large', block: true, onClick: this.onBackClick },
						'Back to Gallery'
					)
				)
			);
		}
	}]);

	return AlbumView;
}(_react2.default.Component);

AlbumView.propTypes = {
	album: _propTypes2.default.object,
	onBack: _propTypes2.default.func
};
AlbumView.defaultProps = {
	album: null,
	onBack: null
};
exports.default = AlbumView;