'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Paper = require('@material-ui/core/Paper');

var _Paper2 = _interopRequireDefault(_Paper);

var _reactBootstrap = require('react-bootstrap');

var _dateformat = require('dateformat');

var _dateformat2 = _interopRequireDefault(_dateformat);

var _Spacer = require('./Spacer');

var _Spacer2 = _interopRequireDefault(_Spacer);

var _DataContainer = require('./DataContainer');

var _DataContainer2 = _interopRequireDefault(_DataContainer);

var _Utils = require('../Utils');

var _Utils2 = _interopRequireDefault(_Utils);

var _reactMetaTags = require('react-meta-tags');

var _reactMetaTags2 = _interopRequireDefault(_reactMetaTags);

var _reactSticky = require('react-sticky');

var _reactShare = require('react-share');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var BlogPostShareButtons = function (_React$Component) {
	_inherits(BlogPostShareButtons, _React$Component);

	function BlogPostShareButtons() {
		_classCallCheck(this, BlogPostShareButtons);

		return _possibleConstructorReturn(this, (BlogPostShareButtons.__proto__ || Object.getPrototypeOf(BlogPostShareButtons)).apply(this, arguments));
	}

	_createClass(BlogPostShareButtons, [{
		key: 'render',
		value: function render() {
			return _react2.default.createElement(
				'div',
				{ className: 'kokoLib_articles_SMButtons_Container' },
				_react2.default.createElement('div', { dangerouslySetInnerHTML: {
						__html: '\n\t\t\t\t\t<style>\n\t\t\t\t\t\t.kokoLib_articles_SMButtons_Container {\n\t\t\t\t\t\t\tfloat:right;\n\t\t\t\t\t\t}\n\t\t\t\t\t\t.separator {\n\t\t\t\t\t\t\tclear:none !important;\n\t\t\t\t\t\t}\n\t\t\t\t\t</style>\n\t\t\t\t\t'
					} }),
				_react2.default.createElement(
					'div',
					{ className: 'kokoLib_articles_button' },
					_react2.default.createElement(
						_reactShare.FacebookShareButton,
						{
							url: this.props.shareUrl,
							quote: this.props.title,
							className: 'kokoLib_articles_FBButton_button' },
						_react2.default.createElement(_reactShare.FacebookIcon, { size: 32, round: true })
					)
				),
				_react2.default.createElement(
					'div',
					{ className: 'kokoLib_articles_button' },
					_react2.default.createElement(
						_reactShare.TwitterShareButton,
						{
							url: this.props.shareUrl,
							title: this.props.title,
							className: 'kokoLib_articles_TWButton_button' },
						_react2.default.createElement(_reactShare.TwitterIcon, { size: 32, round: true })
					)
				),
				_react2.default.createElement(
					'div',
					{ className: 'kokoLib_articles_button' },
					_react2.default.createElement(
						_reactShare.WhatsappShareButton,
						{
							url: this.props.shareUrl,
							title: this.props.title,
							separator: ':: ',
							className: 'kokoLib_articles_WAButton_button' },
						_react2.default.createElement(_reactShare.WhatsappIcon, { size: 32, round: true })
					)
				),
				_react2.default.createElement(
					'div',
					{ className: 'kokoLib_articles_button' },
					_react2.default.createElement(
						_reactShare.GooglePlusShareButton,
						{
							url: this.props.shareUrl,
							className: 'kokoLib_articles_GPButton_button' },
						_react2.default.createElement(_reactShare.GooglePlusIcon, { size: 32, round: true })
					)
				),
				_react2.default.createElement(
					'div',
					{ className: 'kokoLib_articles_button' },
					_react2.default.createElement(
						_reactShare.LinkedinShareButton,
						{
							url: this.props.shareUrl,
							title: this.props.title,
							windowWidth: 750,
							windowHeight: 600,
							className: 'kokoLib_articles_LIButton_button' },
						_react2.default.createElement(_reactShare.LinkedinIcon, { size: 32, round: true })
					)
				),
				_react2.default.createElement(
					'div',
					{ className: 'kokoLib_articles_button' },
					_react2.default.createElement(
						_reactShare.RedditShareButton,
						{
							url: this.props.shareUrl,
							title: this.props.title,
							windowWidth: 660,
							windowHeight: 460,
							className: 'kokoLib_articles_RDButton_button' },
						_react2.default.createElement(_reactShare.RedditIcon, { size: 32, round: true })
					)
				),
				_react2.default.createElement(
					'div',
					{ className: 'kokoLib_articles_button' },
					_react2.default.createElement(
						_reactShare.TumblrShareButton,
						{
							url: this.props.shareUrl,
							title: this.props.title,
							windowWidth: 660,
							windowHeight: 460,
							className: 'Demo__some-network__share-button' },
						_react2.default.createElement(_reactShare.TumblrIcon, { size: 32, round: true })
					)
				)
			);
		}
	}]);

	return BlogPostShareButtons;
}(_react2.default.Component);

var BlogPost = function (_React$Component2) {
	_inherits(BlogPost, _React$Component2);

	function BlogPost() {
		_classCallCheck(this, BlogPost);

		return _possibleConstructorReturn(this, (BlogPost.__proto__ || Object.getPrototypeOf(BlogPost)).apply(this, arguments));
	}

	_createClass(BlogPost, [{
		key: 'getStyles',
		value: function getStyles() {
			var styles = {
				paperStyle: {
					margin: 0,
					padding: 15
				},
				stickyHeader: {
					top: 60,
					zIndex: 999
				}
			};
			return styles;
		}
	}, {
		key: 'render',
		value: function render() {

			var that = this;

			if (!this.props.data || this.props.data === null) return _react2.default.createElement('div', null);

			var styles = this.getStyles();

			var createdDate = (0, _dateformat2.default)(new Date(this.props.data.published), "mmmm dd, yyyy");

			var fullMetaDescription = _Utils2.default.stripHtml(this.props.data.content).trim().replace(/(\r\n|\n|\r)/gm, "");

			var metaDescription = fullMetaDescription;
			if (metaDescription.length > 300) metaDescription = metaDescription.substr(0, 295) + "...";

			var metaImageSource = _Utils2.default.getFirstImageSourceFromHtml(this.props.data.content);

			var shareUrl = "";
			if (window && window.location && window.location.href) {

				if (this.props.targetPageRoot && this.props.targetPageRoot.length > 0) {
					shareUrl = window.location.protocol + '//' + window.location.host + '/' + this.props.targetPageRoot;
				} else {
					shareUrl = window.location.href;
				}

				if (shareUrl.indexOf(this.props.data.id) < 0) shareUrl = shareUrl + '/' + this.props.data.id;

				//fix double slashes and then fix the inevitable single slash on the protocol
				shareUrl = shareUrl.split("//").join("/").split("\\\\").join("\\").replace(":/", "://");
			}

			return _react2.default.createElement(
				_Paper2.default,
				{ style: styles.paperStyle, elevation: 3 },
				_react2.default.createElement(
					_reactBootstrap.Row,
					null,
					_react2.default.createElement(
						_reactBootstrap.Col,
						{ xs: 12 },
						_react2.default.createElement(
							_reactMetaTags2.default,
							null,
							_react2.default.createElement('meta', { id: 'ogTitle', property: 'og:title', content: this.props.data.title }),
							metaImageSource && metaImageSource.length > 0 && _react2.default.createElement('meta', { id: 'ogImage', property: 'og:image', content: metaImageSource }),
							metaImageSource && metaImageSource.length > 0 && _react2.default.createElement('meta', { id: 'ogSecureImage', property: 'og:image:secure_url', content: metaImageSource }),
							_react2.default.createElement('meta', { id: 'ogDescription', property: 'og:description', content: metaDescription }),
							_react2.default.createElement('meta', { id: 'ogType', property: 'og:type', content: 'article' })
						),
						_react2.default.createElement(
							'h1',
							null,
							' ',
							this.props.data.title
						)
					)
				),
				_react2.default.createElement(
					_reactBootstrap.Row,
					null,
					_react2.default.createElement(
						_reactBootstrap.Col,
						{ xs: 12 },
						'Posted on ',
						_react2.default.createElement(
							'b',
							null,
							createdDate
						),
						' by ',
						_react2.default.createElement(
							'b',
							null,
							this.props.data.author.displayName
						)
					)
				),
				_react2.default.createElement(_Spacer2.default, { space: 25 }),
				_react2.default.createElement(
					_reactBootstrap.Row,
					null,
					_react2.default.createElement(
						_reactBootstrap.Col,
						{ xs: 12 },
						_react2.default.createElement(
							_reactSticky.StickyContainer,
							null,
							_react2.default.createElement(
								'div',
								{ style: { float: 'right' } },
								_react2.default.createElement(
									_reactSticky.Sticky,
									{ topOffset: -50, bottomOffset: -300 },
									function (_ref) {
										var isSticky = _ref.isSticky,
										    wasSticky = _ref.wasSticky,
										    style = _ref.style,
										    distanceFromTop = _ref.distanceFromTop,
										    distanceFromBottom = _ref.distanceFromBottom,
										    calculatedHeight = _ref.calculatedHeight;

										return _react2.default.createElement(
											'div',
											{ style: _extends({}, style, styles.stickyHeader) },
											_react2.default.createElement(BlogPostShareButtons, { shareUrl: shareUrl, title: that.props.data.title })
										);
									}
								)
							),
							_react2.default.createElement(
								'div',
								{ style: { paddingRight: 32 } },
								_react2.default.createElement('div', { dangerouslySetInnerHTML: { __html: this.props.data.content } })
							)
						)
					)
				)
			);
		}
	}]);

	return BlogPost;
}(_react2.default.Component);

exports.default = BlogPost;