'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Paper = require('@material-ui/core/Paper');

var _Paper2 = _interopRequireDefault(_Paper);

var _reactBootstrap = require('react-bootstrap');

var _dateformat = require('dateformat');

var _dateformat2 = _interopRequireDefault(_dateformat);

var _Spacer = require('./Spacer');

var _Spacer2 = _interopRequireDefault(_Spacer);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var BlogThumb = function (_React$Component) {
	_inherits(BlogThumb, _React$Component);

	function BlogThumb() {
		_classCallCheck(this, BlogThumb);

		return _possibleConstructorReturn(this, (BlogThumb.__proto__ || Object.getPrototypeOf(BlogThumb)).apply(this, arguments));
	}

	_createClass(BlogThumb, [{
		key: 'getStyles',
		value: function getStyles() {
			var styles = {
				paperStyle: {
					margin: 0,
					padding: 15
				},
				contentContainer: {},
				image: {
					width: '100%'
				}
			};
			return styles;
		}
	}, {
		key: 'getFirstImageFromContent',
		value: function getFirstImageFromContent(content) {
			return _react2.default.createElement(_reactBootstrap.Image, null);
		}
	}, {
		key: 'stripFirstImageFromContent',
		value: function stripFirstImageFromContent(content) {
			return content;
		}
	}, {
		key: 'render',
		value: function render() {

			var styles = this.getStyles();

			console.log(this.props.match);

			return _react2.default.createElement(
				'a',
				{ href: this.props.targetPageRoot + '/' + this.props.postId },
				_react2.default.createElement(
					_Paper2.default,
					{ style: styles.paperStyle, zDepth: 3 },
					_react2.default.createElement(
						_reactBootstrap.Row,
						null,
						_react2.default.createElement(
							_reactBootstrap.Col,
							{ xs: 12, sm: 5, md: 4, lg: 4 },
							_react2.default.createElement(_reactBootstrap.Image, { src: this.props.image, style: styles.image })
						),
						_react2.default.createElement(
							_reactBootstrap.Col,
							{ xs: 12, sm: 7, md: 8, lg: 8 },
							_react2.default.createElement(
								'h2',
								null,
								' ',
								this.props.title
							),
							_react2.default.createElement(
								'div',
								{ style: styles.contentContainer },
								this.props.description
							)
						)
					)
				)
			);
		}
	}]);

	return BlogThumb;
}(_react2.default.Component);

BlogThumb.propTypes = {
	title: _propTypes2.default.string,
	image: _propTypes2.default.string,
	description: _propTypes2.default.string,
	targetPageRoot: _propTypes2.default.string
};
BlogThumb.defaultProps = {
	title: "",
	image: "",
	description: "",
	targetPageRoot: ""
};
exports.default = BlogThumb;