'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactMetaTags = require('react-meta-tags');

var _reactMetaTags2 = _interopRequireDefault(_reactMetaTags);

var _DataContainer = require('./DataContainer');

var _DataContainer2 = _interopRequireDefault(_DataContainer);

var _reactBootstrap = require('react-bootstrap');

var _Paper = require('@material-ui/core/Paper');

var _Paper2 = _interopRequireDefault(_Paper);

var _dateformat = require('dateformat');

var _dateformat2 = _interopRequireDefault(_dateformat);

var _EventbriteEventView = require('./EventbriteEventView');

var _EventbriteEventView2 = _interopRequireDefault(_EventbriteEventView);

var _FacebookEventView = require('./FacebookEventView');

var _FacebookEventView2 = _interopRequireDefault(_FacebookEventView);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var EventFullView = function (_React$PureComponent) {
	_inherits(EventFullView, _React$PureComponent);

	function EventFullView() {
		_classCallCheck(this, EventFullView);

		return _possibleConstructorReturn(this, (EventFullView.__proto__ || Object.getPrototypeOf(EventFullView)).apply(this, arguments));
	}

	_createClass(EventFullView, [{
		key: 'getStyles',
		value: function getStyles() {
			var styles = {
				paperStyle: {
					margin: 0
				},
				logoStyle: {
					width: '100%'
				}
			};
			return styles;
		}
	}, {
		key: 'render',
		value: function render() {

			var styles = this.getStyles();

			var restCall = "/api/v1/GetSingleEventbriteEvent";
			var cleanId = this.props.eventId;
			var fbEvent = false;
			if (cleanId.startsWith("fb")) {
				cleanId = cleanId.replace("fb", "");
				restCall = "/api/v1/GetSingleFacebookEvent";
				fbEvent = true;
			}

			return _react2.default.createElement(_DataContainer2.default, { action: restCall,
				parameters: [{ id: "eventId", value: cleanId }],
				resultRender: function resultRender(data) {

					if (fbEvent) return _react2.default.createElement(_FacebookEventView2.default, { data: data });else return _react2.default.createElement(_EventbriteEventView2.default, { data: data });
				} });
		}
	}]);

	return EventFullView;
}(_react2.default.PureComponent);

EventFullView.propTypes = {
	eventId: _propTypes2.default.string
};
EventFullView.defaultProps = {
	eventId: ""
};
exports.default = EventFullView;