'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styles = require('@material-ui/core/styles');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var PlainIconButton = function (_PureComponent) {
	_inherits(PlainIconButton, _PureComponent);

	function PlainIconButton() {
		_classCallCheck(this, PlainIconButton);

		return _possibleConstructorReturn(this, (PlainIconButton.__proto__ || Object.getPrototypeOf(PlainIconButton)).apply(this, arguments));
	}

	_createClass(PlainIconButton, [{
		key: 'getStyles',
		value: function getStyles() {

			var palette = this.props.theme.palette;
			var styles = {

				container: {
					color: palette.primary2Color,
					fontSize: '26px',
					fontWeight: '600',
					margin: 10,
					verticalAlign: 'bottom',
					padding: '8px 22% 9px 15px',
					display: 'table',
					textDecoration: 'none',
					':hover': {
						color: palette.accent1Color + ' !important'
					}
				},
				content: {
					display: 'table-cell',
					verticalAlign: 'bottom',
					color: palette.primary2Color,
					':hover': {
						color: palette.accent1Color + ' !important'
					}
				}
			};
			return styles;
		}
	}, {
		key: 'render',
		value: function render() {
			var styles = this.getStyles();

			return _react2.default.createElement(
				'div',
				null,
				_react2.default.createElement('div', { dangerouslySetInnerHTML: {
						__html: '\n\t\t\t\t\t<style>\n\t\t\t\t\t\t.kokolib_plainIconButton::before {\n\t\t\t\t\t\t\tdisplay: inline-block;\n\t\t\t\t\t\t\tfont-family: FontAwesome;\n\t\t\t\t\t\t\tfont-feature-settings: normal;\n\t\t\t\t\t\t\tfont-kerning: auto;\n\t\t\t\t\t\t\tfont-language-override: normal;\n\t\t\t\t\t\t\tfont-size: inherit;\n\t\t\t\t\t\t\tfont-size-adjust: none;\n\t\t\t\t\t\t\tfont-stretch: normal;\n\t\t\t\t\t\t\tfont-style: normal;\n\t\t\t\t\t\t\tfont-synthesis: weight style;\n\t\t\t\t\t\t\tfont-variant: normal;\n\t\t\t\t\t\t\tfont-weight: normal;\n\t\t\t\t\t\t\tline-height: 1;\n\t\t\t\t\t\t\ttext-rendering: auto;\n\t\t\t\t\t\t\ttransform: translate(0px, 0px);\n\t\t\t\t\t\t\tcontent: "' + this.props.iconContent + '";\n\t\t\t\t\t\t\tpadding-right: 8px;\n\t\t\t\t\t\t\tfont-size: 30px !important;\n\t\t\t\t\t\t}\n\n\t\t\t\t\t</style>\n\t\t\t\t\t'
					} }),
				_react2.default.createElement(
					'a',
					{ href: this.props.link, style: styles.container, className: 'kokolib_plainIconButton' },
					_react2.default.createElement(
						'span',
						{ style: styles.content },
						this.props.content
					)
				)
			);
		}
	}]);

	return PlainIconButton;
}(_react.PureComponent);

PlainIconButton.propTypes = {
	content: _propTypes2.default.string,
	link: _propTypes2.default.string,
	iconContent: _propTypes2.default.string
};
PlainIconButton.defaultProps = {
	content: "",
	link: "",
	iconContent: "\f190"
};
exports.default = (0, _styles.withTheme)()(PlainIconButton);