'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Menu = require('@material-ui/core/Menu');

var _Menu2 = _interopRequireDefault(_Menu);

var _MenuItem = require('@material-ui/core/MenuItem');

var _MenuItem2 = _interopRequireDefault(_MenuItem);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactShare = require('react-share');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ShareMenu = function (_React$Component) {
  _inherits(ShareMenu, _React$Component);

  function ShareMenu() {
    _classCallCheck(this, ShareMenu);

    return _possibleConstructorReturn(this, (ShareMenu.__proto__ || Object.getPrototypeOf(ShareMenu)).apply(this, arguments));
  }

  _createClass(ShareMenu, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        _Menu2.default,
        { className: 'kokolib_shareMenu',
          anchorEl: this.props.anchorEl,
          open: this.props.open,
          onClose: this.props.onClose },
        _react2.default.createElement(
          _MenuItem2.default,
          { onClick: this.onClose, className: 'kokolib_shareMenu_menuItem' },
          _react2.default.createElement(
            _reactShare.FacebookShareButton,
            {
              url: this.props.shareUrl,
              quote: this.props.title,
              className: 'kokoLib_articles_FBButton_button' },
            _react2.default.createElement(_reactShare.FacebookIcon, { size: 32, round: true })
          )
        ),
        _react2.default.createElement(
          _MenuItem2.default,
          { className: 'kokolib_shareMenu_menuItem' },
          _react2.default.createElement(
            _reactShare.TwitterShareButton,
            {
              url: this.props.shareUrl,
              title: this.props.title,
              className: 'kokoLib_articles_TWButton_button' },
            _react2.default.createElement(_reactShare.TwitterIcon, { size: 32, round: true })
          )
        ),
        _react2.default.createElement(
          _MenuItem2.default,
          { className: 'kokolib_shareMenu_menuItem' },
          _react2.default.createElement(
            _reactShare.WhatsappShareButton,
            {
              url: this.props.shareUrl,
              title: this.props.title,
              separator: ':: ',
              className: 'kokoLib_articles_WAButton_button' },
            _react2.default.createElement(_reactShare.WhatsappIcon, { size: 32, round: true })
          )
        ),
        _react2.default.createElement(
          _MenuItem2.default,
          { className: 'kokolib_shareMenu_menuItem' },
          _react2.default.createElement(
            _reactShare.GooglePlusShareButton,
            {
              url: this.props.shareUrl,
              className: 'kokoLib_articles_GPButton_button' },
            _react2.default.createElement(_reactShare.GooglePlusIcon, { size: 32, round: true })
          )
        ),
        _react2.default.createElement(
          _MenuItem2.default,
          { className: 'kokolib_shareMenu_menuItem' },
          _react2.default.createElement(
            _reactShare.LinkedinShareButton,
            {
              url: this.props.shareUrl,
              title: this.props.title,
              windowWidth: 750,
              windowHeight: 600,
              className: 'kokoLib_articles_LIButton_button' },
            _react2.default.createElement(_reactShare.LinkedinIcon, { size: 32, round: true })
          )
        ),
        _react2.default.createElement(
          _MenuItem2.default,
          { className: 'kokolib_shareMenu_menuItem' },
          _react2.default.createElement(
            _reactShare.RedditShareButton,
            {
              url: this.props.shareUrl,
              title: this.props.title,
              windowWidth: 660,
              windowHeight: 460,
              className: 'kokoLib_articles_RDButton_button' },
            _react2.default.createElement(_reactShare.RedditIcon, { size: 32, round: true })
          )
        ),
        _react2.default.createElement(
          _MenuItem2.default,
          { className: 'kokolib_shareMenu_menuItem' },
          _react2.default.createElement(
            _reactShare.TumblrShareButton,
            {
              url: this.props.shareUrl,
              title: this.props.title,
              windowWidth: 660,
              windowHeight: 460,
              className: 'Demo__some-network__share-button' },
            _react2.default.createElement(_reactShare.TumblrIcon, { size: 32, round: true })
          )
        )
      );
    }
  }]);

  return ShareMenu;
}(_react2.default.Component);

ShareMenu.propTypes = {
  anchorEl: _propTypes2.default.object,
  open: _propTypes2.default.bool,
  onClose: _propTypes2.default.func,
  shareUrl: _propTypes2.default.string,
  title: _propTypes2.default.string
};
ShareMenu.defaultProps = {
  leaf: {},
  open: false,
  onClose: function onClose() {},
  shareUrl: "",
  title: ""
};
exports.default = ShareMenu;