'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var TwitterContainer = function (_React$PureComponent) {
  _inherits(TwitterContainer, _React$PureComponent);

  function TwitterContainer() {
    _classCallCheck(this, TwitterContainer);

    return _possibleConstructorReturn(this, (TwitterContainer.__proto__ || Object.getPrototypeOf(TwitterContainer)).apply(this, arguments));
  }

  _createClass(TwitterContainer, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement('a', { className: 'twitter-timeline',
        href: 'https://twitter.com/' + this.props.user,
        'data-widget-id': this.props.widgetId,
        'data-chrome': this.props.chrome,
        'data-tweet-limit': this.props.limit
      });
    }
  }]);

  return TwitterContainer;
}(_react2.default.PureComponent);

TwitterContainer.propTypes = {
  widgetId: _propTypes2.default.string,
  user: _propTypes2.default.string,
  chrome: _propTypes2.default.string,
  limit: _propTypes2.default.number
};

var TwitterTimeline = function (_React$PureComponent2) {
  _inherits(TwitterTimeline, _React$PureComponent2);

  function TwitterTimeline() {
    _classCallCheck(this, TwitterTimeline);

    return _possibleConstructorReturn(this, (TwitterTimeline.__proto__ || Object.getPrototypeOf(TwitterTimeline)).apply(this, arguments));
  }

  _createClass(TwitterTimeline, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var twittertimeline = _reactDom2.default.findDOMNode(this.twittertimeline);
      var twitterscript = document.createElement('script');
      twitterscript.src = '//platform.twitter.com/widgets.js';
      twitterscript.async = true;
      twitterscript.id = 'twitter-wjs';
      twittertimeline.parentNode.appendChild(twitterscript);
    }
  }, {
    key: 'render',
    value: function render() {
      var _this3 = this;

      var _props = this.props,
          user = _props.user,
          widgetId = _props.widgetId,
          chrome = _props.chrome,
          limit = _props.limit;

      return _react2.default.createElement(
        'div',
        { style: { background: "#fff" } },
        _react2.default.createElement(TwitterContainer, _extends({}, this.props, { ref: function ref(container) {
            _this3.twittertimeline = container;
          } }))
      );
    }
  }]);

  return TwitterTimeline;
}(_react2.default.PureComponent);

TwitterTimeline.propTypes = {
  widgetId: _propTypes2.default.string,
  user: _propTypes2.default.string,
  chrome: _propTypes2.default.string,
  limit: _propTypes2.default.number
};
exports.default = TwitterTimeline;