'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Utils = require('../Utils');

var _Utils2 = _interopRequireDefault(_Utils);

var _reactBootstrap = require('react-bootstrap');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var BlogArchiveYearEntry = function (_Component) {
	_inherits(BlogArchiveYearEntry, _Component);

	function BlogArchiveYearEntry() {
		var _ref;

		_classCallCheck(this, BlogArchiveYearEntry);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		var _this = _possibleConstructorReturn(this, (_ref = BlogArchiveYearEntry.__proto__ || Object.getPrototypeOf(BlogArchiveYearEntry)).call.apply(_ref, [this].concat(args)));

		_this.state = {
			open: true
		};
		return _this;
	}

	_createClass(BlogArchiveYearEntry, [{
		key: 'getCount',
		value: function getCount() {

			if (!this.props.months || this.props.months == null) return 0;

			var count = 0;
			var that = this;
			Object.keys(this.props.months).map(function (month) {
				count += that.props.months[month].posts.length;
			});
			return count + "";
		}
	}, {
		key: 'render',
		value: function render() {
			var _this2 = this;

			var that = this;

			return _react2.default.createElement(
				'div',
				null,
				_react2.default.createElement(
					_reactBootstrap.NavItem,
					{ eventKey: this.props.index, className: 'kokolib_blogArchive_yearEntry',
						onClick: function onClick() {
							return _this2.setState({ open: !_this2.state.open });
						} },
					_react2.default.createElement('span', { className: "icon fa-angle-" + (this.state.open ? "down" : "right") }),
					_react2.default.createElement(
						'span',
						null,
						'  ',
						this.props.year,
						' (',
						this.getCount(),
						')'
					)
				),
				_react2.default.createElement(
					_reactBootstrap.Collapse,
					{ 'in': this.state.open },
					_react2.default.createElement(
						'div',
						null,
						Object.keys(this.props.months).map(function (month, i) {
							return _react2.default.createElement(
								'div',
								{ style: { paddingLeft: 15 }, key: i },
								_react2.default.createElement(BlogArchiveMonthEntry, { month: month,
									posts: that.props.months[month],
									key: i,
									onSelectPost: that.props.onSelectPost,
									index: i })
							);
						})
					)
				)
			);
		}
	}]);

	return BlogArchiveYearEntry;
}(_react.Component);

var BlogArchiveMonthEntry = function (_Component2) {
	_inherits(BlogArchiveMonthEntry, _Component2);

	function BlogArchiveMonthEntry() {
		var _ref2;

		_classCallCheck(this, BlogArchiveMonthEntry);

		for (var _len2 = arguments.length, args = Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
			args[_key2] = arguments[_key2];
		}

		var _this3 = _possibleConstructorReturn(this, (_ref2 = BlogArchiveMonthEntry.__proto__ || Object.getPrototypeOf(BlogArchiveMonthEntry)).call.apply(_ref2, [this].concat(args)));

		_this3.state = {
			open: true
		};
		return _this3;
	}

	_createClass(BlogArchiveMonthEntry, [{
		key: 'getCount',
		value: function getCount() {

			if (!this.props.posts || this.props.posts == null) return 0;

			return this.props.posts.posts.length + "";
		}
	}, {
		key: 'render',
		value: function render() {
			var _this4 = this;

			var that = this;

			var posts = this.props.posts.posts;

			return _react2.default.createElement(
				'div',
				null,
				_react2.default.createElement(
					_reactBootstrap.NavItem,
					{ eventKey: this.props.index, className: 'kokolib_blogArchive_monthEntry',
						onClick: function onClick() {
							return _this4.setState({ open: !_this4.state.open });
						} },
					_react2.default.createElement('span', { className: "icon fa-angle-" + (this.state.open ? "down" : "right") }),
					_react2.default.createElement(
						'span',
						null,
						'  ',
						this.props.month,
						' (',
						this.getCount(),
						')'
					)
				),
				_react2.default.createElement(
					_reactBootstrap.Collapse,
					{ 'in': this.state.open },
					_react2.default.createElement(
						'div',
						null,
						posts.map(function (post, i) {
							return _react2.default.createElement(
								'div',
								{ style: { paddingLeft: 30, paddingBottom: 20 }, key: i },
								_react2.default.createElement(BlogArchivePostEntry, { post: post,

									onSelectPost: that.props.onSelectPost,
									index: i })
							);
						})
					)
				)
			);
		}
	}]);

	return BlogArchiveMonthEntry;
}(_react.Component);

var BlogArchivePostEntry = function (_Component3) {
	_inherits(BlogArchivePostEntry, _Component3);

	function BlogArchivePostEntry() {
		_classCallCheck(this, BlogArchivePostEntry);

		return _possibleConstructorReturn(this, (BlogArchivePostEntry.__proto__ || Object.getPrototypeOf(BlogArchivePostEntry)).apply(this, arguments));
	}

	_createClass(BlogArchivePostEntry, [{
		key: 'render',
		value: function render() {
			var that = this;

			return _react2.default.createElement(
				'div',
				null,
				_react2.default.createElement(
					_reactBootstrap.NavItem,
					{ eventKey: this.props.index, className: 'kokolib_blogArchive_monthEntry',
						onClick: function onClick() {
							return that.props.onSelectPost(that.props.post);
						} },
					_react2.default.createElement(
						'div',
						{ style: { textIndent: -15, fontSize: '1.1em' } },
						_react2.default.createElement(
							'b',
							null,
							this.props.post.title
						)
					)
				),
				_react2.default.createElement('hr', { style: { margin: 2 } })
			);
		}
	}]);

	return BlogArchivePostEntry;
}(_react.Component);

var BlogArchive = function (_Component4) {
	_inherits(BlogArchive, _Component4);

	function BlogArchive(props) {
		_classCallCheck(this, BlogArchive);

		var _this6 = _possibleConstructorReturn(this, (BlogArchive.__proto__ || Object.getPrototypeOf(BlogArchive)).call(this, props));

		_this6.state = {
			secondaryNavIsSticky: false,
			currentActiveYear: null
		};
		return _this6;
	}

	_createClass(BlogArchive, [{
		key: 'render',
		value: function render() {

			var rawData = this.props.data;

			var pData = _Utils2.default.getBlogArchiveFromBlogData(rawData);

			if (pData === null) return _react2.default.createElement('div', null);

			var that = this;

			var years = Object.keys(pData);
			years.sort(function (a, b) {
				return a < b;
			});

			return _react2.default.createElement(
				_reactBootstrap.Nav,
				{ bsStyle: 'pills',
					stacked: true,
					activeKey: this.state.currentActiveYear,
					className: 'stickySecondaryNav' },
				years.map(function (year, i) {
					return _react2.default.createElement(BlogArchiveYearEntry, { year: year,
						months: pData[year],
						key: i,
						index: i,
						onSelectPost: that.props.onSelectPost });
				})
			);
		}
	}]);

	return BlogArchive;
}(_react.Component);

exports.default = BlogArchive;