'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactBootstrap = require('react-bootstrap');

var _styles = require('@material-ui/core/styles');

var _reactDimensions = require('react-dimensions');

var _reactDimensions2 = _interopRequireDefault(_reactDimensions);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ImageHeaderBannerCSS = function (_React$PureComponent) {
	_inherits(ImageHeaderBannerCSS, _React$PureComponent);

	function ImageHeaderBannerCSS() {
		_classCallCheck(this, ImageHeaderBannerCSS);

		return _possibleConstructorReturn(this, (ImageHeaderBannerCSS.__proto__ || Object.getPrototypeOf(ImageHeaderBannerCSS)).apply(this, arguments));
	}

	_createClass(ImageHeaderBannerCSS, [{
		key: 'render',
		value: function render() {
			return _react2.default.createElement('div', { dangerouslySetInnerHTML: {
					__html: '\n\t\t\t\t<style>\n\n\n\t\t\t\t\t.headerBannerScreen::before{\n\t\t\t\t\t\tcontent: "";\n\t\t\t\t\t\theight: 100%;\n\t\t\t\t\t\tleft: 0;\n\t\t\t\t\t\tmargin: 0 auto;\n\t\t\t\t\t\tpointer-events: none;\n\t\t\t\t\t\tposition: absolute;\n\t\t\t\t\t\tright: 0;\n\t\t\t\t\t\ttop: 0;\n\t\t\t\t\t\tz-index: 1;\n\t\t\t\t\t\t-webkit-box-shadow: inset -40px 0 20px -20px #31302f, inset 40px 0 20px -20px #31302f;\n\t\t\t\t\t\t-moz-box-shadow: inset -40px 0 20px -20px #31302f, inset 40px 0 20px -20px #31302f;\n\t\t\t\t\t\tbox-shadow: inset -40px 0 20px -20px #31302f, inset 40px 0 20px -20px #31302f;\n\t\t\t\t\t}\n\n\t\t\t\t\t.headerBannerScreen::after{\n\t\t\t\t\t\tcontent: "";\n\t\t\t\t\t\theight: 100%;\n\t\t\t\t\t\tleft: 0;\n\t\t\t\t\t\tmargin: 0 auto;\n\t\t\t\t\t\tpointer-events: none;\n\t\t\t\t\t\tposition: absolute;\n\t\t\t\t\t\tright: 0;\n\t\t\t\t\t\ttop: 0;\n\t\t\t\t\t\tz-index: 1;\n\t\t\t\t\t\t-webkit-box-shadow: inset 0 30px 40px 20px rgba(0, 0, 0, 0.4), inset 0 -150px 69px 1px rgba(0, 0, 0, 0.41);\n\t\t\t\t\t\t-moz-box-shadow: inset 0 30px 40px 20px rgba(0, 0, 0, 0.4), inset 0 -150px 69px 1px rgba(0, 0, 0, 0.41);\n\t\t\t\t\t\tbox-shadow: inset 0 30px 40px 20px rgba(0, 0, 0, 0.4), inset 0 -150px 69px 1px rgba(0, 0, 0, 0.41);\n\t\t\t\t\t}\n\n\t\t\t\t\tkokolib_headerBanner_title\n\n\t\t\t\t</style>\n\t\t\t\t'
				} });
		}
	}]);

	return ImageHeaderBannerCSS;
}(_react2.default.PureComponent);

var ImageHeaderBanner = function (_React$Component) {
	_inherits(ImageHeaderBanner, _React$Component);

	function ImageHeaderBanner() {
		_classCallCheck(this, ImageHeaderBanner);

		return _possibleConstructorReturn(this, (ImageHeaderBanner.__proto__ || Object.getPrototypeOf(ImageHeaderBanner)).apply(this, arguments));
	}

	_createClass(ImageHeaderBanner, [{
		key: 'getStyles',
		value: function getStyles() {

			var smallScreen = this.props.containerWidth < 768;
			var largeScreen = this.props.containerWidth >= 1200;
			var mediumScreen = !smallScreen && !largeScreen;

			var styles = {
				headerBanner: {
					backgroundImage: 'url("' + this.props.backgroundImage + '")',
					backgroundSize: 'cover',
					backgroundPosition: 'center',
					margin: 0,
					padding: 0,
					border: 0,
					height: smallScreen ? 250 : mediumScreen ? 350 : 450,
					textAlign: 'center',
					position: 'relative'
				},
				bannerLegend: {
					color: 'rgb(254, 190, 16)',
					fontSize: 'xx-large',
					fontWeight: 'bold',
					textShadow: '2px 2px #000'
				},
				bannerContent: {
					textAlign: 'center',
					position: 'absolute',
					top: smallScreen ? 75 : mediumScreen ? 100 : 150,
					width: '100%',
					zIndex: 14
				},
				bannerLogo: {
					marginLeft: 'auto',
					marginRight: 'auto',
					maxWidth: smallScreen ? '45%' : mediumScreen ? '25%' : '20%',
					maxHeight: smallScreen ? 200 : mediumScreen ? 275 : 300
				},
				bannerScreen: {
					position: 'relative',
					top: 0,
					left: 0,
					height: '100%',
					width: '100%',
					backgroundColor: 'rgba(0,0,0,0' + (this.props.addShadowScreen ? '.2' : '') + ')',
					zIndex: 1
				},
				bannerTitle: {
					position: 'absolute',
					bottom: 0,
					width: '100%',
					marginLeft: 0,
					color: '#fff',
					fontSize: '3em',
					fontWeight: 'bold',
					textShadow: '2px 2px #000',
					textAlign: 'left',
					zIndex: 15
				}
			};

			if (this.props.fixedAttachment) {
				styles.headerBanner.backgroundAttachment = "fixed";
			}

			if (this.props.theme.headerFontFamily) {
				styles.bannerTitle.fontFamily = this.props.theme.headerFontFamily;
			}

			return styles;
		}
	}, {
		key: 'render',
		value: function render() {

			var styles = this.getStyles();

			return _react2.default.createElement(
				'div',
				{ style: styles.headerBanner },
				this.props.addShadowScreen && _react2.default.createElement(ImageHeaderBannerCSS, { palette: this.props.theme.palette }),
				_react2.default.createElement('div', { style: styles.bannerScreen, className: 'headerBannerScreen' }),
				_react2.default.createElement(
					'div',
					{ style: styles.bannerContent },
					_react2.default.createElement(
						'div',
						null,
						this.props.bannerContent && this.props.bannerContent !== null ? this.props.bannerContent : _react2.default.createElement(
							'div',
							null,
							_react2.default.createElement(
								'a',
								{ href: '/', className: 'headerLogo' },
								_react2.default.createElement(_reactBootstrap.Image, { src: this.props.bannerLogoImagePath, responsive: true, style: styles.bannerLogo, rounded: true })
							)
						)
					)
				),
				this.props.pageTitle && _react2.default.createElement(
					'div',
					{ style: styles.bannerTitle },
					_react2.default.createElement(
						_reactBootstrap.Grid,
						null,
						_react2.default.createElement(
							_reactBootstrap.Row,
							null,
							this.props.pageTitle
						)
					)
				)
			);
		}
	}]);

	return ImageHeaderBanner;
}(_react2.default.Component);

ImageHeaderBanner.propTypes = {
	bannerContent: _propTypes2.default.node,
	pageTitle: _propTypes2.default.string,
	bannerLogoImagePath: _propTypes2.default.string,
	backgroundImage: _propTypes2.default.string,
	fixedAttachment: _propTypes2.default.bool,
	addShadowScreen: _propTypes2.default.bool
};
ImageHeaderBanner.defaultProps = {
	bannerContent: null,
	pageTitle: "",
	backgroundImage: "",
	bannerLogoImagePath: "",
	fixedAttachment: false,
	addShadowScreen: true
};
exports.default = (0, _styles.withTheme)()((0, _reactDimensions2.default)()(ImageHeaderBanner));