'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Button = require('@material-ui/core/Button');

var _Button2 = _interopRequireDefault(_Button);

var _Icon = require('@material-ui/core/Icon');

var _Icon2 = _interopRequireDefault(_Icon);

var _SvgIcon = require('@material-ui/core/SvgIcon');

var _SvgIcon2 = _interopRequireDefault(_SvgIcon);

var _Search = require('@material-ui/icons/Search');

var _Search2 = _interopRequireDefault(_Search);

var _reactBootstrap = require('react-bootstrap');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Search = function (_React$PureComponent) {
  _inherits(Search, _React$PureComponent);

  function Search(props) {
    _classCallCheck(this, Search);

    var _this = _possibleConstructorReturn(this, (Search.__proto__ || Object.getPrototypeOf(Search)).call(this, props));

    _this.getCss = function () {
      return _react2.default.createElement('div', { dangerouslySetInnerHTML: {
          __html: '\n\t\t\t\t<style>\n          .kokolib_search_entry {\n            width:0;\n            opacity:0;\n            -webkit-transition: 1s;\n            -moz-transition: 1s;\n            -o-transition: 1s;\n            transition: 1s;\n          }\n\n          .kokolib_search_entry {\n          }\n\n          .kokolib_search_entry.open {\n            width:200px !important;\n            opacity:1;\n\n          }\n\t\t\t\t</style>\n\t\t\t\t'
        } });
    };

    _this.onSearchClick = function () {
      if (_this.state.searchTerm.length <= 0) {
        _this.setState({ open: !_this.state.open });
        _this.focus();
      } else {
        _this.props.onSearch(_this.state.searchTerm);
      }
    };

    _this.focus = function () {
      var node = _reactDom2.default.findDOMNode(_this.searchInput);
      if (node && node.focus instanceof Function) {
        node.focus();
      }
    };

    _this.handleSearchTermChange = function (e) {
      _this.setState({ searchTerm: e.target.value });
      _this.props.onSearchTermChange(e.target.value);
    };

    _this.handleKeyPress = function (event) {
      if (event.key == 'Enter' && _this.state.searchTerm.length > 0) {
        _this.props.onSearch(_this.state.searchTerm);
      }
    };

    _this.state = {
      open: false,
      searchTerm: ''
    };
    return _this;
  }

  _createClass(Search, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var entryClasses = ['kokolib_search_entry'];
      if (this.state.open) entryClasses.push("open");

      return _react2.default.createElement(
        'div',
        { className: 'kokolib_search' },
        this.getCss(),
        _react2.default.createElement(
          _reactBootstrap.FormGroup,
          { style: { display: 'inline-block', paddingRight: 10 }, className: entryClasses.join(' ') },
          _react2.default.createElement(_reactBootstrap.FormControl, {
            onKeyPress: this.handleKeyPress,
            type: 'text',
            ref: function ref(input) {
              _this2.searchInput = input;
            },
            value: this.state.searchTerm,
            onChange: this.handleSearchTermChange,
            placeholder: this.props.placeholder })
        ),
        _react2.default.createElement(
          _Button2.default,
          { mini: true, variant: 'fab', color: 'primary', 'aria-label': 'add',
            onClick: this.onSearchClick },
          _react2.default.createElement(_Search2.default, null)
        )
      );
    }
  }]);

  return Search;
}(_react2.default.PureComponent);

Search.propTypes = {
  onSearch: _propTypes2.default.func,
  onSearchTermChange: _propTypes2.default.func,
  placeholder: _propTypes2.default.string
};
Search.defaultProps = {
  onSearch: function onSearch(searchTerm) {},
  onSearchTermChange: function onSearchTermChange() {},
  placeholder: 'search'
};
exports.default = Search;