'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styles = require('@material-ui/core/styles');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var StandardStyles = function (_React$PureComponent) {
	_inherits(StandardStyles, _React$PureComponent);

	function StandardStyles() {
		_classCallCheck(this, StandardStyles);

		return _possibleConstructorReturn(this, (StandardStyles.__proto__ || Object.getPrototypeOf(StandardStyles)).apply(this, arguments));
	}

	_createClass(StandardStyles, [{
		key: 'render',
		value: function render() {

			var palette = this.props.theme.palette;

			return _react2.default.createElement('div', { dangerouslySetInnerHTML: {
					__html: '\n\t\t\t\t<style>\n\t\t\t\t\tbody\n\t\t\t\t\t{\n\t\t\t\t\t\tbackground-color: ' + palette.primary1Color + ';\n\t\t\t\t\t\tmargin: 0;\n\t\t\t\t\t\tpadding: 0;\n\t\t\t\t\t}\n\t\t\t\t\ta\n\t\t\t\t\t{\n\t\t\t\t\t\tcolor: ' + (palette.anchorColor || palette.primary3Color) + ';\n\t\t\t\t\t\ttext-decoration: none;\n\t\t\t\t\t\tword-wrap: break-word;\n\t\t\t\t\t}\n\t\t\t\t\ta *:hover {\n\n\t\t\t\t\t\ttext-decoration: none !important;\n\t\t\t\t\t}\n\n\t\t\t\t\th1\n\t\t\t\t\t{\n\t\t\t\t\t\tcolor: ' + palette.primary2Color + ';\n\t\t\t\t\t\tfont-weight: 500;\n\t\t\t\t\t\tborder-bottom: 2px solid ' + palette.accent1Color + ';\n\t\t\t\t\t\tfont-family: ' + palette.headerFontFamily + ';\n\t\t\t\t\t}\n\n\t\t\t\t\t/*========= BOOTSTRAP BUTTONS ==================*/\n\t\t\t\t\t.btn-primary\n\t\t\t\t\t{\n\t\t\t\t\t\tcolor: ' + palette.alternateTextColor + ';\n\t\t\t\t\t    background-color: ' + palette.primary2Color + ';\n\t\t\t\t\t    border: none;\n\t\t\t\t\t}\n\n\t\t\t\t\t.btn-primary:hover,\n\t\t\t\t\t.btn-primary:active,\n\t\t\t\t\t.btn-primary:active:focus,\n\t\t\t\t\t.btn-primary:focus,\n\t\t\t\t\t.btn-primary.active\n\t\t\t\t\t{\n\t\t\t\t\t    background-color: ' + palette.accent1Color + ';\n\t\t\t\t\t}\n\n\t\t\t\t\t/* styles to make react tables smaller on phones*/\n\t\t\t\t\t@media all and (max-width: 599px)   and (orientation : portrait), (max-width: 899px)  and (orientation : landscape)\n\t\t\t\t\t{\n\t\t\t\t\t\t.reactTableContainer\n\t\t\t\t\t\t{\n\t\t\t\t\t\t\tmin-width:400px !important;\n\t\t\t\t\t\t\tfont-size: 0.6em;\n\n\t\t\t\t\t\t}\n\t\t\t\t\t\t.kokolib_event_thumbview > div {\n\t\t\t\t\t\t\tmargin:0px !important;\n\t\t\t\t\t\t}\n\t\t\t\t\t}\n\t\t\t\t\t.reactTableContainer\n\t\t\t\t\t{\n\t\t\t\t\t\tmin-width: 0 !important;\n\t\t\t\t\t}\n\n\n\t\t\t\t\t/*========== NAVBAR STYLES ============*/\n\n\t\t\t\t\t.nav-pills>li>a {\n\t\t\t\t\t    color: ' + palette.primary2Color + ';\n\t\t\t\t\t}\n\t\t\t\t\t.nav-pills>li.active>a {\n\t\t\t\t\t    background-color: ' + palette.primary2Color + ';\n\t\t\t\t\t}\n\t\t\t\t\t.nav-pills>li.active>a:hover {\n\t\t\t\t\t    background-color: ' + palette.primary2Color + ';\n\t\t\t\t\t}\n\n\t\t\t\t\t.icon:before {\n\t\t\t\t\t\tdisplay: inline-block;\n\t\t\t\t\t\tfont-family: FontAwesome;\n\t\t\t\t\t\tfont-size: 1.25em;\n\t\t\t\t\t\ttext-decoration: none;\n\t\t\t\t\t\tfont-style: normal;\n\t\t\t\t\t\tfont-weight: normal;\n\t\t\t\t\t\tline-height: 1;\n\t\t\t\t\t\t-webkit-font-smoothing: antialiased;\n\t\t\t\t\t\t-moz-osx-font-smoothing: grayscale;\n\t\t\t\t\t}\n\n\t\t\t\t</style>\n\t\t\t\t'
				} });
		}
	}]);

	return StandardStyles;
}(_react2.default.PureComponent);

exports.default = (0, _styles.withTheme)()(StandardStyles);