'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactOverlays = require('react-overlays');

var _reactBootstrap = require('react-bootstrap');

var focus = function focus() {};
var cDU = _reactOverlays.Modal.prototype.componentDidUpdate;
var cDM = _reactOverlays.Modal.prototype.componentDidMount;

_reactOverlays.Modal.prototype.componentDidUpdate = function (prevProps) {
  if (this.focus !== focus) {
    this.focus = focus;
  }
  cDU.call(this, prevProps);
};

_reactOverlays.Modal.prototype.componentDidMount = function () {
  if (this.focus !== focus) {
    this.focus = focus;
  }
  cDM.call(this);
};

exports.default = _reactBootstrap.Modal;