'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _BlogPost = require('../components/BlogPost');

var _BlogPost2 = _interopRequireDefault(_BlogPost);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var BlogPostContainer = function (_Component) {
	_inherits(BlogPostContainer, _Component);

	function BlogPostContainer() {
		_classCallCheck(this, BlogPostContainer);

		return _possibleConstructorReturn(this, (BlogPostContainer.__proto__ || Object.getPrototypeOf(BlogPostContainer)).apply(this, arguments));
	}

	_createClass(BlogPostContainer, [{
		key: 'render',
		value: function render() {
			return _react2.default.createElement(_BlogPost2.default, { data: this.props.data });
		}
	}]);

	return BlogPostContainer;
}(_react.Component);

function mapStateToProps(state) {
	return {
		data: state.activeBlogPost
	};
}

exports.default = (0, _reactRedux.connect)(mapStateToProps)(BlogPostContainer);