'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _redux = require('redux');

var _BlogArchiveReducer = require('./BlogArchiveReducer');

var _BlogArchiveReducer2 = _interopRequireDefault(_BlogArchiveReducer);

var _ActiveBlogPostReducer = require('./ActiveBlogPostReducer');

var _ActiveBlogPostReducer2 = _interopRequireDefault(_ActiveBlogPostReducer);

var _BlogNextPageTokenReducer = require('./BlogNextPageTokenReducer');

var _BlogNextPageTokenReducer2 = _interopRequireDefault(_BlogNextPageTokenReducer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var KokoLibReducers = (0, _redux.combineReducers)({
	blogArchive: _BlogArchiveReducer2.default,
	activeBlogPost: _ActiveBlogPostReducer2.default,
	blogNextPageToken: _BlogNextPageTokenReducer2.default
});

exports.default = KokoLibReducers;